Obtener información de sincronización flexible

OBTENER /groups/{groupId}/apps/{appId}/service/{serviceId}/config

Retrieve sync data for a specific Atlas App Services App when using Flexible Sync.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Recuperado exitosamente.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • clusterId string

      The Service ID for the linked cluster.

    • Nombre del clúster string

      El nombre del clúster vinculado

    • Tipo de clúster string

      The service type of the linked cluster ("atlas" by default)

      Los valores son atlas o serverless.

    • flexible_sync Objeto
      Hide flexible_sync attributes Show flexible_sync attributes Objeto
      • Estado string Requerido

        El estado del servicio de sincronización ("enabled", "disabled" o vacío si la sincronización no está configurada).

      • nombre_de_la_base_de_datos string

        The name of a database in the synced cluster where App Services stores data in Development Mode. App Services automatically generates a schema for each synced type and maps each object type to a collection within the database.

      • queryable_fields_names array[string]

        Un arreglo de nombres de campos consultables en cualquier colección.

      • indexed_queryable_fields_names array[string]

        Una lista de nombres de campos para usar como campo indexado consultable. Aunque esta propiedad es un arreglo, Sincronización actualmente soporta solo un campo indexado consultable. Por lo tanto, este arreglo puede contener como máximo un elemento.

        El campo consultable indexado debe estar presente en el esquema y ser del mismo tipo de campo elegible en todas las colecciones que sincronices. El nombre del campo indexado consultable también debe aparecer en queryable_fields_names ya que este es un campo consultable global.

      • nombres de campos consultables de colección Objeto

        Una matriz de nombres de campos consultables en la colección especificada.

        Hide collection_queryable_fields_names attribute Show collection_queryable_fields_names attribute Objeto
        • * Objeto Propiedades adicionales
          Hide * attribute Mostrar atributo * Objeto
          • * string Propiedades adicionales

            El nombre del campo consultable.

      • permisos Objeto

        Obsoleto

      • last_disabled string

        La última vez que se deshabilitó la sincronización, representada por la cantidad de segundos desde la época de UNIX.

      • client_max_offline_days entero

        The number of days the client can be offline before a client reset is required.

      • el modo de recuperación está deshabilitado booleano

        Especifica si el modo de restablecimiento del cliente está deshabilitado. De forma predeterminada, el modo de restablecimiento del cliente está habilitado y este valor es false.

      • asymmetric_tables array[string]

        An array of the names of collections that are defined as asymmetric with Data Ingest, where clients can write data but not read.

    • groupName string

      The name of the App's Atlas Project.

    • orgName string

      The name of the App's Atlas Organization.

    • readPreference string

      Los valores son primary, primaryPreferred, secondary, secondaryPreferred o nearest.

    • wireProtocolEnabled booleano
OBTENER /grupos/{groupId}/aplicaciones/{appId}/servicio/{serviceId}/config
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/service/{serviceId}/config' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "clusterId": "string",
  "clusterName": "string",
  "clusterType": "atlas",
  "flexible_sync": {
    "state": "string",
    "database_name": "string",
    "queryable_fields_names": [
      "string"
    ],
    "indexed_queryable_fields_names": [
      "string"
    ],
    "collection_queryable_fields_names": {
      "additionalProperty1": {
        "additionalProperty1": "string",
        "additionalProperty2": "string"
      },
      "additionalProperty2": {
        "additionalProperty1": "string",
        "additionalProperty2": "string"
      }
    },
    "permissions": {},
    "last_disabled": "string",
    "client_max_offline_days": 42,
    "is_recovery_mode_disabled": true,
    "asymmetric_tables": [
      "string"
    ]
  },
  "groupName": "string",
  "orgName": "string",
  "readPreference": "primary",
  "wireProtocolEnabled": true
}